# Upper fee calculation

<mark style="color:blue;">`GET`</mark> `https://prapi.tarlanpayments.kz/commission/api/v1/system/project/upper/commission`

#### Query Parameters

| Name                                                      | Type    | Description                                |
| --------------------------------------------------------- | ------- | ------------------------------------------ |
| project\_id<mark style="color:red;">\*</mark>             | Integer | Project ID assigned by the payment system  |
| merchant\_id<mark style="color:red;">\*</mark>            | Integer | Merchant ID assigned by the payment system |
| transaction\_type\_code<mark style="color:red;">\*</mark> | String  | Type of transaction                        |
| transaction\_amount<mark style="color:red;">\*</mark>     | Float   | Transaction amount                         |

#### Headers

| Name                                            | Type   | Description                                        |
| ----------------------------------------------- | ------ | -------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Auto-rotation hash (see Signature Creating) |

{% tabs %}
{% tab title="200: OK Example of a successful response" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "total_commission_amount": 999.00
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error Example of an error response" %}

```json
{
    "status": false,
    "status_code": 5102,
    "message": "commission not found",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/comission/api/v1/system/project/upper/commission?merchant_id=999&project_id=999&transaction_amount=1000.00&transaction_type_code=in' \
--header 'Authorization: Bearer sign' \
--data ''
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/eng/acquiring/supplementary-methods/upper-fee-calculation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
